org.apache.hc.client5.http.classic.methods

## Class HttpPatch

- java.lang.Object
- - org.apache.hc.core5.http.message.HeaderGroup
  - - org.apache.hc.core5.http.message.BasicHttpRequest
    - - org.apache.hc.core5.http.message.BasicClassicHttpRequest
      - - org.apache.hc.client5.http.classic.methods.HttpUriRequestBase
        - - org.apache.hc.client5.http.classic.methods.HttpPatch

All Implemented Interfaces:
  Serializable, Configurable, org.apache.hc.core5.concurrent.Cancellable, org.apache.hc.core5.concurrent.CancellableDependency, org.apache.hc.core5.http.ClassicHttpRequest, org.apache.hc.core5.http.HttpMessage, org.apache.hc.core5.http.HttpRequest, org.apache.hc.core5.http.MessageHeaders

    public class HttpPatch
    extends HttpUriRequestBase

HTTP PATCH method.

The HTTP PATCH method is defined in RF5789:

> The PATCH method requests that a set of changes described in the request entity be applied to the resource identified by the Request- URI. Differs from the PUT method in the way the server processes the enclosed entity to modify the resource identified by the Request-URI. In a PUT request, the enclosed entity origin server, and the client is requesting that the stored version be replaced. With PATCH, however, the enclosed entity contains a set of instructions describing how a resource currently residing on the origin server should be modified to produce a new version.

Since:
  4.2
See Also:
  Serialized Form

### Field Summary

Fields
`static String` `METHOD_NAME`

### Constructor Summary

Constructors
Constructor and Description
`HttpPatch(String uri)`
`HttpPatch(URI uri)`

### Method Summary

### Methods inherited from class org.apache.hc.client5.http.classic.methods.HttpUriRequestBase

`cancel, getConfig, isCancelled, reset, setConfig, setDependency, toString`

### Methods inherited from class org.apache.hc.core5.http.message.BasicClassicHttpRequest

`getEntity, setEntity`

### Methods inherited from class org.apache.hc.core5.http.message.BasicHttpRequest

`addHeader, getAuthority, getMethod, getPath, getRequestUri, getScheme, getUri, getVersion, setAuthority, setHeader, setPath, setScheme, setVersion`

### Methods inherited from class org.apache.hc.core5.http.message.HeaderGroup

`addHeader, clear, containsHeader, containsHeaders, getAllHeaders, getCondensedHeader, getFirstHeader, getHeaders, getLastHeader, getSingleHeader, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeaders`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.hc.core5.http.HttpRequest

`getAuthority, getMethod, getPath, getRequestUri, getScheme, getUri, setAuthority, setPath, setScheme`

### Methods inherited from interface org.apache.hc.core5.http.HttpMessage

`addHeader, addHeader, getVersion, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setVersion`

### Methods inherited from interface org.apache.hc.core5.http.MessageHeaders

`containsHeader, containsHeaders, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getSingleHeader, headerIterator, headerIterator`

### Field Detail

#### METHOD_NAME

    public static final String METHOD_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### HttpPatch

    public HttpPatch(URI uri)

#### HttpPatch

    public HttpPatch(String uri)